Skip to main content
POST
/
v1
/
flow-templates
Create flow template
curl --request POST \
  --url https://api.runflow.io/v1/flow-templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "category": "<string>",
  "payload": {},
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "category": "<string>",
  "payload": {},
  "is_platform": true,
  "is_active": true,
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "avatar_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Body

application/json

POST body.

name
string
required
category
string
required
payload
Payload · object
required
description
string | null

Response

The created flow template.

Response shape.

id
string<uuid> | null
name
string | null
description
string | null
category
string | null
payload
Payload · object
is_platform
boolean | null
is_active
boolean | null
org_id
string<uuid> | null
created_by
string<uuid> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
created_by_user
EmbedValidator · object

Minimal user shape for embedded user fields.

Includes only display-relevant fields. Excludes sensitive/admin fields: email_verified_at, disabled_at, is_internal, locale_code, timezone.